@echo off
cd /d "%~dp0"
echo.
echo 正在清除系统垃圾文件，请稍等...... 
del /f /s /q C:\ProgramData\Stardock\Fences3
echo 清除残留
echo 正在卸载...
TASKKILL /F /IM Fences.exe /T
call Fences.exe /uninstallsilent
regsvr32 /u /s FencesMenu.dll
regsvr32 /u /s FencesMenu64.dll
reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Tracing\Fences_RASAPI32" /f
reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Tracing\Fences_RASMANCS" /f
reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\Stardock\Fences" /f
reg delete "HKEY_CURRENT_USER\Software\Stardock\Fences" /f
reg delete "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\SystemCertificates\ROOT\Certificates\293E5D0514F2EF58CE914BE0D5D17C524D88413E" /f
rd /s /q "%APPDATA%\Stardock\Fences" 
rd /s /q "%ALLUSERSPROFILE%\Stardock"
rd /s /q "%ALLUSERSPROFILE%\Application Data\Stardock"
cls
echo.
echo 清理完毕 by 天若幽心
echo.
exit